<template>
    <default-layout>
        <Catalog
            :products="products"
            :brands="brands"
            :categories="categories"
        />
    </default-layout>
</template>

<script>
import {defineComponent} from "vue";
import DefaultLayout from "@/Layouts/DefaultLayout";
import Catalog from "@/components/pages/catalog/index.vue";

export default defineComponent({
    components: {
        DefaultLayout,
        Catalog,
    },
    props:{
        products: {
            type: Object,
            default: {},
        },
        brands: {
            type: Object,
            default: {},
        },
        categories: {
            type: Object,
            default: {},
        },
    },
    // mounted(){
    //     console.log(this.posts);
    // },
})
</script>

<style>

</style>
